$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.458-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.458-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'EE49FAD5879BB4E4F50BF29CE42CE3162DA85F7F81FB45A37B392F665BDAEBCA'
  checksumType = 'sha256'
  checksum64 = 'EE49FAD5879BB4E4F50BF29CE42CE3162DA85F7F81FB45A37B392F665BDAEBCA'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.458-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
